%% *************************************************************************
%
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
% 
% Matlab script for Box 1.1
% Demonstrating the superior efficiency of the vector-wise operations
%
% *************************************************************************

clc
clear
close all
%%
% Generate 100,000 equally spaced points
x = linspace(-10, 10, 100000);

% Compute the sin(x)/x function using array operations
disp('Vector-wise operations')
tic
y = sin(x)./x;
toc % Register the elasped time

% Compute the sin(x)/x function indexed variables in a loop using vector 
% functions
disp('Component-wise For loop operation')
tic
for i = 1:length(x)
    yy(i) = sin(x(i))/x(i);
end
toc % Register the elasped time

%% Figueres
figure(1)
set(1,'Position',[18 42 560 420])
subplot(121)
plot(x, y)
subplot(122)
plot(x, yy)