function scarto = Ferr_Monod(Par,NomeModello,tFinale,Data_sperim)
%% ************************************************************************
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% Error function to be used for parameter estimation of the Monod kinetics.
% Par is the parameter vector
% NomeModello is a string defining the Simulink model name
% tFinale is the final simulation time
% Data_sperim is the vector of experimental data, organized in two columns
% [time value]
%
% Sect. 2.4.5
%
%% ************************************************************************
%
% Estimation of Mu and Ks only
global Mu Ks
        Mu=Par(1);
        Ks=Par(2); 
[t,x,y]=sim(NomeModello,tFinale);
ys1=interp1(t,S,Data_sperim(:,1));
ys2=interp1(t,X,Data_sperim(:,1));
figure(2)
hold off;clf
plot(t,S,':b',t,X,'b')
hold on
axis(axis)
drawnow
plot(Data_sperim(:,1),Data_sperim(:,2),'ob',Data_sperim(:,1),Data_sperim(:,3),'db')
drawnow
scarto=0;s1=0;s2=0;
s1=sum((Data_sperim(:,2)-ys1).^2); % Substrate error
s2=sum((Data_sperim(:,3)-ys2).^2); % Biomass error
scarto=s1+s2;
figure(3)
plot(Mu,Ks,'.b')
drawnow

