function scarto = Ferr_SP(Par,NomeModello,tFinale,Data_sperim)
%% ************************************************************************
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% Error function to be used for parameter estimation of the S&P model.
% Par is the parameter vector
% NomeModello is a string defining the Simulink model name
% tFinale is the final simulation time
% Data_sperim is the vector of experimental data, organized in two columns
% [time value]
%
% Sect. 2.4.4
%
%% ************************************************************************
%
global Kb Kc
Kb=Par(1);
Kc=Par(2);

[t,x,y]=sim(NomeModello,[0 tFinale]);

ys1=interp1(t,DO,Data_sperim(:,1));
figure(1)
hold off;clf
set(1,'Position',[25 466 502 315])
plot(Data_sperim(:,1),Data_sperim(:,2),'or')
hold on
drawnow
plot(t,DO,'-.r','LineWidth',2)
drawnow

scarto=0;
scarto=sum((Data_sperim(:,2)-ys1).^2);
fprintf(' Error =%g\n',scarto)

figure(3)
plot(Kb,Kc,'.b')
drawnow
