% *************************************************************************
%
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% Demonstration of the F-test on the regression line by generating random
% data and testing their adequacy to the Normal Distribution.
% 
% ********************************************************

clear
close all
clc

% Generate the data
x = 1:40;
N = length(x);
% Generate noisy data
n = randn(1,N);
% Build noisy model
% Try changing the parameters of the line and see how the F-test fails
y = 0.008 + 0.99*x + (0.4)*n;
figure(1)
set(1, 'Position',[29 49 560 420])
set(gca, 'FontName','Arial', 'FontSize',12)
axis([0 N 0 N])
axis tight
[r, MC, SC, RC, Ftest] = F_test(x, y)