% *************************************************************************
% 
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% This exercise demonstrates the Fast Fourier Transform with frequency
% decimation for increased resolution.
% With mult = 1 the whole spectrum is displayed.
% With mult > 1 (integer), a smaller portion is shown.
%
% Sect. 3.2.1
% 
% *************************************************************************

clear
close all
clc

%% Set parameters
plotlog = 3;
mult    = 1;
%  Load data
load 4_Nov
% load flow

figure(1)
set(1, 'Position', [15 59 970 482])
[Y, f] = Freq_Analysis(t, q, mult, plotlog);
hold on
a = axis;
t24 = 1/24;
t12 = 1/12;
plot([t24 t24], [a(3) a(4)], '-.k')
if max(f) > t12,
   plot([t12 t12], [a(3) a(4)], ':k')
end
set(gca, 'FontName','Arial', 'FontSize',12)
legend('Power spectrum', '24 h period', '12 h period')