function sse = Ferr_fun(Par)
%
% Environmental Systems Analysis with Matlab
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% Error function for Function_Approx_Sugeno.m
%
% *************************************************************************

%% Call global variables
global Mu x y n ym y_fit

ym=zeros(n, 3);
%% Compute individual models
for w = 1:3
    ym(:,w) = Par(w,1)*x + Par(w,2);
end

%% Compute model output by defuzzification
y_fit= sum(ym.*Mu',2)./sum(Mu',2);

%% Compute sum of squared errors
sse = sum((y-y_fit).^2)/n;
figure(2)
clf
set(2, 'Position',[24 60 550 350])
plot(x, y, 'o','MarkerFaceColor','b')
hold on
plot(x, y_fit, ':r', 'LineWidth',2)
xlabel('x')
ylabel('y')
legend('Data', 'Fit', 'location','north', 'orientation','horizontal')
end