% *************************************************************************
%
% Environmental Systems Analysis with Matlab
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% Demonstration of the Gompertez growth model (Gomptertez.mdl)
%
% Sect. 5.1.3
% 
% *************************************************************************

clear
close all
clc

xo = 0.01;  % Initial population
K = 10;     % Carrying capacity
r = 0.1;    % Growth rate
tend = 200; % Simulation time

figure(1)
set(1,'Position',[18 40 560 420])
set(gca,'FontName','Arial','FontSize',12)
for r = 0.04:0.02:0.1
    [t,x,y] = sim('Gompertez',tend);
    plot(t,x,t,20*rate,':r')
    hold on
    drawnow
end
xlabel('time')
ylabel('Population')
title('Gompertez growth model')
legend('Population','20*Growth rate','location','east')