% *************************************************************************
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% This script manages the recycles, the delays and the waste of the plant.
% ASSUMPTION: continuous waste
%
% *************************************************************************

Qric = 18446;     % Recycle discharge to the settler                 [mc/d]

Ritardo = 0.0001; % Hydraulic delay of the sludge recycle               [d]

Qw=385;           % Sludge waste pump discharge (SRT ~ 10d)          [mc/d]

Qa=55338;         % Aerobic tank internal recycle discharge          [mc/d]

Vd=100;           % Internal recycle pipe volume                       [mc]
Vd1=300;          % Volume of the pipe from the settler                [mc]
Kox=0.6*60*24;    % O2 decay in the pipe

del1=Vd/Qa;       % Internal recycle initial delay                      [d]
del2=Vd1/Qric;    % External recycle initial delay                      [d]