% *************************************************************************
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% This script defines the initial conditions of the secondary settler
% (Takacs model)
%
% *************************************************************************

%% Settler parameters

A    = 1500;         % Area                                           [m^2]
zm   = 0.4;		     % Single layer height                              [m]
v0_1 = 250;	         % Maximum settling velocity                      [m/d]
v0   = 474;	   	     % Maximum Vesilind settling velocity             [m/d]
rh   = 0.000576;     % Hindered zone settling parameter            [mc/gSS]
rp   = 0.00286;    	 % Flocculant zone settling parameter          [mc/gSS]
fns  = 0.00228;   	 % Non-settable fraction                            [-]
Xt   = 3000;	     % Threshold concentration                       [g/m3]

p_sed = [A, zm, v0_1, v0, rh, rp, fns, Xt];