% *************************************************************************
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% This script computes the percentiles of the ASM3 model and plots the
% relative graphics.
% The script requires the function 'percentile.m' to be present in the same
% directory.
%
% Run'Go_ASM3_2N_2V.m' before running this code.
%
% Sect. 7.3.3 Fig. 7.48
%
% *************************************************************************

Indexes_ASM3_2step % Call the index computation script

percentile(COD_out, 13, 160, 'COD [mg/L]')
percentile(S_out_aero1(:,4), 14, 5,'NH_4^+ [mg-N/L]')
percentile(S_out_aero1(:,6), 15, 15,'NO_3^- [mg-N/L]')
percentile(S_out_aero1(:,5), 16, 0.6,'NO_2^- [mg-N/L]')