function x = Double_Monod(S)
% 
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
% 
% This function computes the squared residual reaction rate between two
% competing populations given the same substrate.
% 
% Reference to the exercise goes here
%
% *************************************************************************
% 
%      X = DOUBLE_MONOD(S)
% 
%    Input:
%           S        The substrate concentration.
% 
%    Output:
%           X        The squared residual reaction rate between the two
%                    competing populations.
%

global Mu1 Mu2 Ks1 Ks2

x = (Mu1*S/(Ks1+S) - Mu2*S/(Ks2+S))^2;

end