% *************************************************************************
%
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
% 
% This script file is used to produce the plots for the SBR simulation with
% sludge waste
% 
% Reference to the exercise goes here
%
% *************************************************************************

a = 1440;
for j = 1:size(tsim)
  for i = 0:25
        if tsim(j) == a*i
               time(i+1) = tsim(j);
               
               e(i+1) = Y(j,4);
               f(i+1) = Y(j,6);
               g(i+1) = Y(j,5);
               h(i+1) = Y(j,7);
               l(i+1) = Y(j,12);
               m(i+1) = Y(j,13);
               n(i+1) = Y(j,16);
               o(i+1) = Y(j,17);
        end
  end
end 

%% Figures
figure(1)
hold off
clf
plot(time/1440, e, '-r', time/1440, f, '--g');
ylabel('[mg-N/L]');
xlabel('time [d]');
legend('S_N_{H_4^+}', 'S_N_{O_3^-}', 0);
hold on

figure(2)
hold off
clf
plot(time/1440, g, '-b');
ylabel('[mg-NO_2^-/L]');
xlabel('time [d]');
hold on

figure(3)
hold off
clf
plot(time/1440, h);
ylabel('[mg-S_{PO_4^{2-}}/L]');
xlabel('time [d]');
hold on

figure(4)
hold off
clf
plot(time/1440, l, '--b', time/1440, m, '-.g');
ylabel('[mg/L]');
xlabel('time [d]');
legend('Heterotrophic biomass','Phosphorus-accumulating organisms (PAO)',1);
hold on

figure(5)
hold off
clf
plot(time/1440, n, '--r', time/1440, o, '-.b');
ylabel('[mg/L]');
xlabel('time [d]');
legend('Nitrosomonas', 'Nitrobacter', 1);
hold on