function e = f_err(p)
%
% Environmental Systems Analysis with Matlab
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% Error function of a single output system.
%
% *************************************************************************
%

% Call global variables
global t DO_Measured Kr R a Is t_exp
tfin = DO_Measured(:,1);

Kr = p(1);
R  = p(2);
a  = p(3);
Is = p(4);

[t, ~, y] = sim('RRM', tfin);
y_interp = interp1(t, C, t_exp);
errs = (y_interp - DO_Measured(:,2)).^2;
e = sum(errs);

end