function scarto=FERR_SolRad(Par)
%% ************************************************************************
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% Error function for the estimation of the daily solar radiation eq. (8.5)
% on a yearly basis.
% Par is the parameter vector
%
% Sect. 8.1.3
%
%% ************************************************************************
%
global days Ia Ia_stima

Ia_stima=Par(1)+Par(2)*sin(Par(3)*days+Par(4));
figure(1)
hold off;clf
set(1,'Position',[46 37 675 444])
plot(days,Ia,'ob','MarkerFaceColor','b','MarkerSize',7)
hold on
plot(days,Ia_stima,'dr','MarkerFaceColor','r','MarkerSize',7)

xlabel('days')
ylabel('Sol Rad (W/m^2)')
drawnow
scarto=sum((Ia-Ia_stima).^2)

