function Ellipse(A)
% 
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
% 
% This function plot the confidence ellipse for the data in the matrix A.
%
%
% *************************************************************************
% 
%      ELLIPSE(A)
% 
%    Input:
%           A        An array containing the data.
%

%% Compute the ellipse
[v, e] = eig(A);
L = diag(e);
fi = [0:0.001:2*pi];
pH = ones(2, length(fi));

for i = 1:length(fi);
    pH(:,i) = v*e*[cos(fi(i)); -sin(fi(i))];
end

%% Plot the ellipse
plot(pH(1,:), pH(2,:), 'b')

end