% *************************************************************************
%
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
% 
% 3D visualization of the F statistics.
%
% *************************************************************************

clear
close all

alfa = 0.95; % Set alpha confidence level

for i = 3:30
    for j = 3:30
        F(i,j) = finv(alfa, i, j);
    end
end
F1 = F(3:30, 3:30);

%% Figures
figure(2)
[X, Y] = meshgrid(3:30, 3:30);
surf(X, Y, F1')
shading interp

xlabel('n-p')
ylabel('p')
zlabel('F')
hold on
xo = finv(0.95, 8, 15-5);
plot3(8, 15-5, xo, 'or')
rotate3d on
view([128 34])