function [r,MC,SC,RC,Ftest]=F_test(x,y)

N=length(x);
R=corrcoef(x,y);
% Correlation coefficient
r=R(1,2);

% draw regression line
pr=polyfit(x,y,1);
yr=polyval(pr,x);

plot(x,y,'ob','MarkerSize',6,'MarkerFaceColor','b')
axis([min(x) max(x) min(y) max(y)])
set(gca,'FontName','Arial','FontSize',12)
hold on
plot(x,yr,'--r','LineWidth',2)

% axis([0 max(x) 0 max(x)])


% axis(axis)

plot([min(x) max(x)],[min(x) max(x)],':k')
ylabel('Data')
xlabel('Model')
y_hat=pr(1).*x+pr(2);
% plot(x,y_hat,'or')
Syx=sum((y-y_hat).^2)/(N-2);

Ftest=(N*pr(2)^2+2*pr(2)*(pr(1)-1)*sum(x)+((pr(1)-1)^2)*sum(x.^2))/(2*Syx);

Flim=finv(0.95,2,N-2)
axis equal
title(['F-statistics ',num2str(Ftest,'%8.4f'),' against a limit value of ',num2str(Flim,'%8.4f')]) 

% MSEP Statistics
MSEP=(1/(N-1))*sum((x-y).^2);
MC=((mean(x)-mean(y))^2)/MSEP;
SC=((std(x)-r*std(y))^2)/MSEP;
RC=((1-r^2)*var(y))/MSEP;
axis([0.95*min(x) 1.05*max(x) 0.95*min(y) 1.05*max(y)])
