function unit_circle(xlim, ylim)
% 
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
% 
% Draw unit circle.
%
% *************************************************************************
% 
%           UNIT_CIRCLE(XLIM, YLIM)
% 
%    Input:
%           XLIM      Input of abscissae.
%
%           YLIM      Input of ordinates.
% 

angle = (0:0.01:2*pi);
x = cos(angle);
y = sin(angle);

plot(x, y, ':k')
axis([-xlim xlim -ylim ylim]);
axis equal
xlabel('PC_1')
ylabel('PC_2')
hold on
plot([0 0], [-ylim ylim], ':k')
plot([-xlim xlim], [0 0], ':k')
hold on
axis(axis)
end