function Ho=Fuzzy_entropy(U)
% 
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
% 
% Computation of the partition coefficient and the partition entropy.
%
% *************************************************************************
% 
%      [Ho] = FUZZY_ENTROPY(U)
% 
%    Input:
%           U        C-by-N partition matrix of data X with respect to the
%                    clusters provided by V.
% 
%    Output:
%           Ho       Normalized Partition Entropy.
%

F = 0;
H = 0;
U = U + 1e-9;
[c n] = size(U);
F = U.*log(U)/n;
H = sum(sum(F));
Ho = -H/(1-c/n);
fprintf(['\n','PARTITION RESULTS WITH ', num2str(c), ' CLUSTERS\n'])
fprintf(['Normalized Partition Entropy : ', num2str(Ho),'\n'])
fprintf(['In the range 0 (hard) - ', num2str(log(c)),...
         ' (most uncertain partition)\n'])

end