function Xo = approx(Xo, Nc, direct, stp, Fo, C, L, M, V)
%
% Environmental Systems Analysis with Matlab
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% Explanation of the code function goes here
%
% Reference to the exercise goes here
%
% *************************************************************************
%
%      Xo = APPROX(Xo, NC, DIRECT, STP, Fo, C, L, M, V)
%
%    Input:
%           Xo       Description of the first input variable here.
%
%           NC       Description of the second input variable here.
%
%           DIRECT   Description of the second input variable here.
%
%           STP      Description of the second input variable here.
%
%           Fo       Description of the second input variable here.
%
%           C        Description of the second input variable here.
%
%           L        Description of the second input variable here.
%
%           M        Description of the second input variable here.
%
%           V        Description of the second input variable here.
%
%    Output:
%           Xo       Description of the first output variable here.
%

epsil = 0.0001;
delta = 1;
stpmin = 1e-20;
stpmax = 1e20;
cnt_max = 100;

while abs(delta) > epsil
    Passo=stp*direct;
    cnt=0;
    X1=Xo+Passo;
    
    % computation of membership matrix U
    for i = 1:C
        s = 0;
        for j = 1:L
            A = X1(j) - V(i,j);
            s  =s + A*A;
        end
        d2(i) = sqrt(s);
    end;
    s = 0;
    k = 2/(M-1);
    for j = 1:C
        s = s + (d2(Nc)/d2(j))^k;
    end;
    Ui1 = 1/s;
    
    %Loop control
    delta = Ui1 - Fo;
    if abs(delta) < epsil,
        Xo = X1;
        return;
    elseif delta < 0 && cnt < cnt_max,
        stp = stp/10;
        
        if abs(stp) < stpmin,
            error('Impossible')
        end
    elseif delta > 0 && cnt < cnt_max,
        Xo = X1;
        stp = stp*10;
        if abs(stp) > stpmax,
            error('Impossible')
        end
    end    % of IF loop
end        % of WHILE loop

end