function Alfa_cut(X, U, num_fig)
%
% Environmental Systems Analysis with Matlab
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
%
% Explanation of the code function goes here.
%
% *************************************************************************
%
%      Alfa_cut(X, U, num_fig)
%
%    Input:
%           X        n-by-p matrix containing the n observations of the p
%                    features.
%
%           U        c-by-p partition matrix.
%
%           num_fig  Number of figure for the plot.
%

c = size(U, 1);
xmin = min(X(:,1));
xmax = max(X(:,1));
ymin = min(X(:,2));
ymax = max(X(:,2));
dx = (xmax - xmin)/100;
dy = (ymax - ymin)/100;
tx = xmin:dx:xmax;
ty = ymin:dy:ymax;
[XI, YI] = meshgrid(tx, ty);
x = X(:,1);
y = X(:,2);
figure(num_fig)
for i = 1:c
    z = U(i,:);
    ZI = griddata(x, y, z, XI, YI, 'cubic');
    contour(XI, YI, ZI, [0.25 0.5 0.75 0.9], '-.k')
end

end